import android.content.Context
import android.net.Uri
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.BaseAdapter
import android.widget.ImageView
import android.widget.TextView
import com.example.elbuenopeso.R
import com.example.elbuenopeso.models.AdModel


class AdAdapter(private val context: Context, private val adModelArrayList: List<AdModel>) : BaseAdapter() {
    private val inflater: LayoutInflater = LayoutInflater.from(context)

    override fun getCount(): Int = adModelArrayList.size

    override fun getItem(i: Int): Any = adModelArrayList[i]

    override fun getItemId(i: Int): Long = i.toLong()

    fun usingJavaStringFormat(input: Double, scale: Int) = String.format("%.${scale}f", input)

    override fun getView(i: Int, view: View?, viewGroup: ViewGroup): View {
        val ad = adModelArrayList[i]
        val convertView: View = inflater.inflate(R.layout.item_listview_ad, viewGroup, false)

        val imageIV: ImageView = convertView.findViewById(R.id.itemListViewImageView)
        val titleTV: TextView = convertView.findViewById(R.id.itemListViewTitleView)
        val addressTV: TextView = convertView.findViewById(R.id.itemListViewTextView)
        val prixTV: TextView = convertView.findViewById(R.id.itemListViewPrixView)
        imageIV.setImageURI(Uri.parse(ad.image))
        titleTV.text = ad.title
        addressTV.text = ad.address
        prixTV.text = "${usingJavaStringFormat(ad.prix, 2)} €"
        return convertView
    }
}