package com.example.elbuenopeso.database

import android.content.Context
import android.database.sqlite.SQLiteDatabase
import android.database.sqlite.SQLiteOpenHelper
import android.util.Log
import com.example.elbuenopeso.models.AdModel

class DBHelper(context: Context) : SQLiteOpenHelper(context, DB_NAME, null, DB_VERSION) {
    companion object {
        const val TABLE_NAME = "product"
        const val _ID = "_id"
        const val TITLE = "title"
        const val ADDRESS = "address"
        const val IMAGE = "image_url"
        const val PRIX = "price"

        private const val DB_NAME = "LEBONCOIN.DB"
        private const val DB_VERSION = 1
        const val CREATE_TABLE = "CREATE TABLE $TABLE_NAME ($_ID INTEGER PRIMARY KEY AUTOINCREMENT, $TITLE TEXT NOT NULL, $ADDRESS TEXT, $IMAGE TEXT, $PRIX REAL NOT NULL);"
    }

    override fun onCreate(db: SQLiteDatabase) {
        Log.i(null, "table sql create : $CREATE_TABLE")
        db.execSQL(CREATE_TABLE)
    }

    override fun onUpgrade(db: SQLiteDatabase, oldVersion: Int, newVersion: Int) {
        db.execSQL("DROP TABLE IF EXISTS $TABLE_NAME")
        onCreate(db)
    }

    fun getById(id: Int): AdModel? {
        val db = this.writableDatabase
        val query = "SELECT * FROM $TABLE_NAME where $_ID=?"
        val data = db.rawQuery(query, arrayOf(id.toString()))

        return if (data.moveToFirst()) {
            val title = data.getString(data.getColumnIndexOrThrow(TITLE))
            val address = data.getString(data.getColumnIndexOrThrow(ADDRESS))
            val image = data.getString(data.getColumnIndexOrThrow(IMAGE))
            val prix = data.getDouble(data.getColumnIndexOrThrow(PRIX))
            data.close()
            AdModel(title, address, image, prix)
        } else {
            data.close()
            null
        }
    }
}

